Subject: bug#16587: 24.3.50; max-specpdl-size exceeded + crash with gnus (shr).

From: Nicolas Richard <[email-masked]>
Date: Thu, 30 Jan 2014 12:56:19 +0100

Le 30/01/2014 02:17, Katsumi Yamaoka a écrit :
> This seems to be due to a mailer (Airmail?) that sends a broken
> html part, not an Emacs bug.  Here is the `Recent input' section
> of the bug report embedded in the html part:
> 
> <br>Recent input:
> <br>e s t <return> C-d <down> <down> <down> <down> <down>  
> <br><down> <down> <down> <down> <down> <down> <down> <down>  
> <br><down> <down> <down> <down> <down> <down> <down> <down>  
> <br><up> <up> <up> <up> <up> <up> <up> <up> <up> <return>  
> <br><up> <return> <down> <down> <down> <down> <down> <down>  
> <br><return> <down> <down> <down> <down> <down> <down>  
> <br><down> <down> <down> <down> <down> <down> <down> <down>  
> <br><down> <down> <up> <up> <up> <up> <up> <up> <up> <up>  
> [...]
> 
> Those keystrokes should have been quoted as: &lt;key&gt;

Thanks for the explanation.

I expect broken html to not crash emacs though, and it does that in my
case. From its docstring, I understand that a high value of
max-specpdl-size could trigger such a crash, but that value doesn't seem
to be modified when entering the debugger. I have no idea where I should
look.

(I guess it'd also be good if shr itself could cope with broken HTML
and/or have a friendlier error message, but that's less important)

-- 
Nico.